{%- from "linux/map.jinja" import network with context %}

{%- if network.enabled and grains.get('virtual_subtype', None) not in ['Docker', 'LXC'] %}
resolvconf:
  pkg.installed

resolvconf_service:
  service.running:
  - name: resolvconf
  - enable: true
  - require:
    - pkg: resolvconf

ensure_resolvconf_symlink:
  cmd.run:
  - name: dpkg-reconfigure -fnoninteractive resolvconf
  - unless: test -L /etc/resolv.conf

  {%- if network.resolv is defined %}
/etc/resolvconf/resolv.conf.d/base:
  file.managed:
  - source: salt://linux/files/resolvconf_base
  - mode: 644
  - template: jinja

run_update_scripts:
  cmd.run:
  - name: /sbin/resolvconf -u
  - onchanges:
    - file: /etc/resolvconf/resolv.conf.d/base

  {%- endif %}
{%- endif %}
